List Export Jobs
curl --request GET \
--url https://api.example.com/api/v1/ops/export-jobs \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/v1/ops/export-jobs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v1/ops/export-jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"exportJobId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3a",
"requestedByUserId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3d",
"resource": "order",
"scopeType": "COMPANY",
"format": "CSV",
"columns": [
"code",
"status"
],
"filters": {},
"status": "COMPLETED",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"exportScheduledId": null,
"organizationId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3b",
"companyId": null,
"cooperativeId": "0195e7a1-8b5c-7d3e-9f4a-2c6b8d0e1f3c",
"fileKey": null,
"fileName": null,
"contentType": null,
"sizeBytes": null,
"totalRows": null,
"failureReason": null,
"deletedAt": "2023-11-07T05:31:56Z",
"expiresAt": "2023-11-07T05:31:56Z",
"finishedAt": "2023-11-07T05:31:56Z",
"startedAt": "2023-11-07T05:31:56Z"
}
],
"meta": {
"limit": 10,
"page": 1,
"totalItems": 100,
"totalPages": 10
}
}{
"errors": [
{
"message": "required",
"path": "name"
}
],
"message": "Bad Request Error",
"statusCode": 400
}{
"message": "Missing or invalid access token",
"statusCode": 401
}{
"message": "Insufficient permissions",
"statusCode": 403
}{
"message": "Internal Server Error",
"statusCode": 500
}Export Job
List Export Jobs
Lists export jobs.
GET
/
api
/
v1
/
ops
/
export-jobs
List Export Jobs
Authorizations
bearerbearer
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Items per page
Example:
10
Page number
Example:
1
Export resource key
Example:
"order"
Export job status
Available options:
PENDING, QUEUED, RUNNING, COMPLETED, FAILED, EXPIRED, CANCELED Example:
"COMPLETED"
Field to sort by
Available options:
createdAt, finishedAt Example:
"createdAt"
Sort order
Available options:
asc, desc Example:
"desc"
Comma-separated list of fields to include in the response. Supports dot notation for nested projection (e.g. id,name,user.email,trips.route.id). Unknown fields are silently dropped.